日程作成
curl --request POST \
--url https://api.utage-system.com/v1/events/{project_id}/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_datetime": "<string>",
"end_datetime": "<string>",
"is_online": true,
"capacity": 49999999,
"url": "<string>",
"password": "<string>",
"open_time": 60,
"venue_name": "<string>",
"location_area": "<string>",
"venue_url": "<string>",
"zip_code": "<string>",
"prefecture": "<string>",
"address": "<string>",
"is_hidden": false
}
'import requests
url = "https://api.utage-system.com/v1/events/{project_id}/schedules"
payload = {
"start_datetime": "<string>",
"end_datetime": "<string>",
"is_online": True,
"capacity": 49999999,
"url": "<string>",
"password": "<string>",
"open_time": 60,
"venue_name": "<string>",
"location_area": "<string>",
"venue_url": "<string>",
"zip_code": "<string>",
"prefecture": "<string>",
"address": "<string>",
"is_hidden": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_datetime: '<string>',
end_datetime: '<string>',
is_online: true,
capacity: 49999999,
url: '<string>',
password: '<string>',
open_time: 60,
venue_name: '<string>',
location_area: '<string>',
venue_url: '<string>',
zip_code: '<string>',
prefecture: '<string>',
address: '<string>',
is_hidden: false
})
};
fetch('https://api.utage-system.com/v1/events/{project_id}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/events/{project_id}/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'start_datetime' => '<string>',
'end_datetime' => '<string>',
'is_online' => true,
'capacity' => 49999999,
'url' => '<string>',
'password' => '<string>',
'open_time' => 60,
'venue_name' => '<string>',
'location_area' => '<string>',
'venue_url' => '<string>',
'zip_code' => '<string>',
'prefecture' => '<string>',
'address' => '<string>',
'is_hidden' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/events/{project_id}/schedules"
payload := strings.NewReader("{\n \"start_datetime\": \"<string>\",\n \"end_datetime\": \"<string>\",\n \"is_online\": true,\n \"capacity\": 49999999,\n \"url\": \"<string>\",\n \"password\": \"<string>\",\n \"open_time\": 60,\n \"venue_name\": \"<string>\",\n \"location_area\": \"<string>\",\n \"venue_url\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"prefecture\": \"<string>\",\n \"address\": \"<string>\",\n \"is_hidden\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.utage-system.com/v1/events/{project_id}/schedules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"start_datetime\": \"<string>\",\n \"end_datetime\": \"<string>\",\n \"is_online\": true,\n \"capacity\": 49999999,\n \"url\": \"<string>\",\n \"password\": \"<string>\",\n \"open_time\": 60,\n \"venue_name\": \"<string>\",\n \"location_area\": \"<string>\",\n \"venue_url\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"prefecture\": \"<string>\",\n \"address\": \"<string>\",\n \"is_hidden\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/events/{project_id}/schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start_datetime\": \"<string>\",\n \"end_datetime\": \"<string>\",\n \"is_online\": true,\n \"capacity\": 49999999,\n \"url\": \"<string>\",\n \"password\": \"<string>\",\n \"open_time\": 60,\n \"venue_name\": \"<string>\",\n \"location_area\": \"<string>\",\n \"venue_url\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"prefecture\": \"<string>\",\n \"address\": \"<string>\",\n \"is_hidden\": false\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"start_datetime": "<string>",
"end_datetime": "<string>",
"capacity": 123,
"applicant_count": 123,
"cancel_count": 123,
"is_online": true,
"venue_name": "<string>",
"location_area": "<string>",
"venue_url": "<string>",
"zip_code": "<string>",
"prefecture": "<string>",
"address": "<string>",
"url": "<string>",
"password": "<string>",
"open_time": 123,
"is_hidden": true,
"member": {
"id": "<string>",
"name": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"error": {
"code": "invalid_event_type",
"message": "個別相談・個別予約タイプのイベントでは日程を直接作成できません。カレンダー設定APIを使用してください"
}
}{
"error": {
"code": "unauthorized",
"message": "APIキーが無効です"
}
}{
"error": {
"code": "not_found",
"message": "ページが見つかりません"
}
}{
"error": {
"code": "validation_error",
"message": "入力内容に誤りがあります",
"details": {
"end_datetime": [
"開始日時と終了日時は同一日で指定してください"
]
}
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "レート制限を超過しました"
}
}日程
日程作成
セミナー・説明会タイプのイベントに日程を作成します。個別相談・個別予約タイプのイベントでは日程は申込の確定時に自動で作成されるため、400(invalid_event_type)になります。
開始日時と終了日時は同じ日で、終了日時は開始日時より後を指定します。種別がオンライン(is_online=true)のときは参加用URL(url)、オフライン(is_online=false)のときは都道府県(prefecture)が必須です。開場時刻(open_time)を省略すると 0(開始時刻と同時)になります。
日程作成
curl --request POST \
--url https://api.utage-system.com/v1/events/{project_id}/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_datetime": "<string>",
"end_datetime": "<string>",
"is_online": true,
"capacity": 49999999,
"url": "<string>",
"password": "<string>",
"open_time": 60,
"venue_name": "<string>",
"location_area": "<string>",
"venue_url": "<string>",
"zip_code": "<string>",
"prefecture": "<string>",
"address": "<string>",
"is_hidden": false
}
'import requests
url = "https://api.utage-system.com/v1/events/{project_id}/schedules"
payload = {
"start_datetime": "<string>",
"end_datetime": "<string>",
"is_online": True,
"capacity": 49999999,
"url": "<string>",
"password": "<string>",
"open_time": 60,
"venue_name": "<string>",
"location_area": "<string>",
"venue_url": "<string>",
"zip_code": "<string>",
"prefecture": "<string>",
"address": "<string>",
"is_hidden": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_datetime: '<string>',
end_datetime: '<string>',
is_online: true,
capacity: 49999999,
url: '<string>',
password: '<string>',
open_time: 60,
venue_name: '<string>',
location_area: '<string>',
venue_url: '<string>',
zip_code: '<string>',
prefecture: '<string>',
address: '<string>',
is_hidden: false
})
};
fetch('https://api.utage-system.com/v1/events/{project_id}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/events/{project_id}/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'start_datetime' => '<string>',
'end_datetime' => '<string>',
'is_online' => true,
'capacity' => 49999999,
'url' => '<string>',
'password' => '<string>',
'open_time' => 60,
'venue_name' => '<string>',
'location_area' => '<string>',
'venue_url' => '<string>',
'zip_code' => '<string>',
'prefecture' => '<string>',
'address' => '<string>',
'is_hidden' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/events/{project_id}/schedules"
payload := strings.NewReader("{\n \"start_datetime\": \"<string>\",\n \"end_datetime\": \"<string>\",\n \"is_online\": true,\n \"capacity\": 49999999,\n \"url\": \"<string>\",\n \"password\": \"<string>\",\n \"open_time\": 60,\n \"venue_name\": \"<string>\",\n \"location_area\": \"<string>\",\n \"venue_url\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"prefecture\": \"<string>\",\n \"address\": \"<string>\",\n \"is_hidden\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.utage-system.com/v1/events/{project_id}/schedules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"start_datetime\": \"<string>\",\n \"end_datetime\": \"<string>\",\n \"is_online\": true,\n \"capacity\": 49999999,\n \"url\": \"<string>\",\n \"password\": \"<string>\",\n \"open_time\": 60,\n \"venue_name\": \"<string>\",\n \"location_area\": \"<string>\",\n \"venue_url\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"prefecture\": \"<string>\",\n \"address\": \"<string>\",\n \"is_hidden\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/events/{project_id}/schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start_datetime\": \"<string>\",\n \"end_datetime\": \"<string>\",\n \"is_online\": true,\n \"capacity\": 49999999,\n \"url\": \"<string>\",\n \"password\": \"<string>\",\n \"open_time\": 60,\n \"venue_name\": \"<string>\",\n \"location_area\": \"<string>\",\n \"venue_url\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"prefecture\": \"<string>\",\n \"address\": \"<string>\",\n \"is_hidden\": false\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"start_datetime": "<string>",
"end_datetime": "<string>",
"capacity": 123,
"applicant_count": 123,
"cancel_count": 123,
"is_online": true,
"venue_name": "<string>",
"location_area": "<string>",
"venue_url": "<string>",
"zip_code": "<string>",
"prefecture": "<string>",
"address": "<string>",
"url": "<string>",
"password": "<string>",
"open_time": 123,
"is_hidden": true,
"member": {
"id": "<string>",
"name": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"error": {
"code": "invalid_event_type",
"message": "個別相談・個別予約タイプのイベントでは日程を直接作成できません。カレンダー設定APIを使用してください"
}
}{
"error": {
"code": "unauthorized",
"message": "APIキーが無効です"
}
}{
"error": {
"code": "not_found",
"message": "ページが見つかりません"
}
}{
"error": {
"code": "validation_error",
"message": "入力内容に誤りがあります",
"details": {
"end_datetime": [
"開始日時と終了日時は同一日で指定してください"
]
}
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "レート制限を超過しました"
}
}POST
https://api.utage-system.com/v1/events/{project_id}/schedules
Body
application/json